"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils.ts
var utils_exports = {};
__export(utils_exports, {
  stringify: () => stringify
});
module.exports = __toCommonJS(utils_exports);
function stringify(obj) {
  let result = "";
  if (!obj || Object.keys(obj).length === 0)
    return "";
  for (const [host, headers] of Object.entries(obj)) {
    if (!result)
      result += host;
    else
      result += `
${host}`;
    result += headers.reduce((acc, header) => {
      const [headerName, headerValue] = Object.entries(header)[0];
      if (headerValue === false)
        return `${acc}
	! ${headerName}`;
      return `${acc}
	${headerName}: ${headerValue}`;
    }, "");
  }
  return result;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  stringify
});
exports.default = module.exports;