// src/utils.ts
function stringify(obj) {
  let result = "";
  if (!obj || Object.keys(obj).length === 0)
    return "";
  for (const [host, headers] of Object.entries(obj)) {
    if (!result)
      result += host;
    else
      result += `
${host}`;
    result += headers.reduce((acc, header) => {
      const [headerName, headerValue] = Object.entries(header)[0];
      if (headerValue === false)
        return `${acc}
	! ${headerName}`;
      return `${acc}
	${headerName}: ${headerValue}`;
    }, "");
  }
  return result;
}

export {
  stringify
};
